import axios, { AxiosRequestConfig } from "axios";
import { Asset } from "../models/Assets";
export class Assets {    
  /**
   * Gets all the assets Available in the system
   * @param accesstoken
   * @param apiUrl
   * @param includeCoordinates
   * @param includeParent
   */
    public static async GetAssets(accesstoken: string, apiUrl: string, includeCoordinates = false, includeParent = false) {

        apiUrl = apiUrl + "api/Asset/GetAssets?IncludeCoordinates=" + includeCoordinates + "&IncludeParent=" + includeParent;
        const response = (await axios.get(apiUrl, { headers: { "Authorization": `Bearer ${accesstoken}` } })).data;
        return response;
    }

    /**
     * Gets Assets By Asset ID.
     * @param accesstoken
     * @param apiUrl
     * @param as_id
     * @param includeCoordinates
     * @param includeParent
     */
    public static async GetAssetByAS_ID(accesstoken: string, apiUrl: string, as_id: number, includeCoordinates = false, includeParent = false): Promise<Asset | undefined> {

        apiUrl = apiUrl + "api/Asset/" + as_id + "?IncludeCoordinates=" + includeCoordinates + "&IncludeParent="+includeParent;

        const response = await axios.get(apiUrl, { headers: { "Authorization": `Bearer ${accesstoken}` } });
        if (response && response.status == 200)
        {
            const assetData: Asset = response.data
            return assetData;
        }
        return undefined;
    }
}   